Loading...
Searching...
No Matches
cpe_lang.h File Reference
CPE » CPE Language

Interface to Common Platform Enumeration (CPE) Language. More...

`#include <stdlib.h>`
`#include "cpe_name.h"`
`#include "oscap.h"`
`#include "oscap_text.h"`
`#include "oscap_source.h"`
`#include "oscap_export.h"`
Include dependency graph for cpe_lang.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | cpe_lang_oper_t { CPE_LANG_OPER_INVALID = 0x00 , CPE_LANG_OPER_AND = 0x01 , CPE_LANG_OPER_OR = 0x02 , CPE_LANG_OPER_MATCH = 0x04 , CPE_LANG_OPER_CHECK = 0x08 , CPE_LANG_OPER_MASK = 0xFF , CPE_LANG_OPER_NOT = 0x100 , CPE_LANG_OPER_NAND = CPE_LANG_OPER_AND | CPE_LANG_OPER_NOT , CPE_LANG_OPER_NOR = CPE_LANG_OPER_OR | CPE_LANG_OPER_NOT }
| CPE language operators. More...

## Detailed Description

Interface to Common Platform Enumeration (CPE) Language.